
package de.ivu.elect.presentation.staat.exchange;

import de.ivu.elect.business.exchange.entity.DateiExportArt;
import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.exchange.ExportDescription;
import de.ivu.elect.presentation.staat.menu.StaatPageMenu;

public class StaatExportDescription implements ExportDescription {

  private static final long serialVersionUID = 1L;

  public StaatExportDescription() {
    super();
  }

  @Override
  public String getExportSearchViewId() {
    return StaatExportView.VIEW_ID;
  }

  @Override
  public DateiExportArt getDateiExportArt() {
    return DateiExportArt.STAAT_EXPORT;
  }

  @Override
  public UseCasePermission getUseCasePermission() {
    return UseCasePermission.STAATEN_EXPORTIEREN;
  }

  @Override
  public boolean isSpecificPerWahl() {
    return false;
  }

  @Override
  public boolean isSpecificPerWahltermin() {
    return false;
  }

  @Override
  public String getPageMenuComponentName() {
    return StaatPageMenu.COMPONENT_NAME;
  }

}
